import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading PercentToZebraDarkness_Neg100To200 Converter")

class PercentToZebraDarkness_Neg100To200(Converter):

	def Execute(self, myList = [], *args):
		return (((int(myList[0]) - 1) * 300) / 99) - 100




plugin = PercentToZebraDarkness_Neg100To200("PercentToZebraDarkness_Neg100To200")

store.AddConverter(plugin)